package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

/**
 * 通用响应DTO
 *
 * @author xdd
 * @since 2025-02-27
 * @version 1.0
 */
@Data
@Accessors(chain = true)
public class CommonResponse<T> implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 错误码
     */
    private Integer code;

    /**
     * 错误描述
     */
    private String msg;

    /**
     * 响应数据
     */
    private T data;
}
